## ninka 1.3.2

=== comments/Makefile ===
VERSION = 4
NAME = comments
BETA = no

DIR = $(NAME)-v$(VERSION)

DEFINES = -DVERSION=\"$(VERSION)\" -DNAME=\"$(NAME)\" #-DBETA
DISTROFILES = Makefile README CHANGES main.cpp main.h io.cpp io.h dformat.cpp dformat.h func.cpp func.h $(NAME).1
OPTIONS = -O2 -Wall -Wno-deprecated

#DEBUG = -g -DDEBUG -DIODEBUG


all:
	g++ $(DEBUG) $(OPTIONS) $(DEFINES) -c io.cpp
	g++ $(DEBUG) $(OPTIONS) $(DEFINES) -c dformat.cpp
	g++ $(DEBUG) $(OPTIONS) $(DEFINES) -c func.cpp
	g++ $(DEBUG) $(OPTIONS) $(DEFINES) -c main.cpp
	g++ -o $(NAME) main.o io.o dformat.o func.o

install:
	@echo -n "Installing binary:   "
	@cp $(NAME) /usr/local/bin
	@chmod 755 /usr/local/bin/$(NAME)
	@echo "Done."
	@echo -n "Installing man page: "
	@cp $(NAME).1 /usr/local/man/man1
	@echo -e "Done.\n"
	@echo -n `$(NAME)`
	@echo -e "\nPlease read the README if you have not already done so."

distro:
	rm -rf $(DIR)*.tar.gz $(NAME) $(DIR)
	@if [ "$(BETA)" = "yes" ]; then \
		mkdir $(DIR)b; \
		cp $(DISTROFILES) $(DIR)b; \
		tar -cvzf $(DIR)b.tar.gz $(DIR)b; \
		rm -rf $(DIR)b; \
	else \
		mkdir $(DIR); \
		cp $(DISTROFILES) $(DIR); \
		tar -cvzf $(DIR).tar.gz $(DIR); \
		rm -rf $(DIR); \
	fi

clean:
	rm -f *.o comments

=== debian/changelog ===
ninka (1.3.2-4) unstable; urgency=medium

  * debian/control:
    - Build-depend on debhelper-compat (= 13).
    - Compliant with Debian Policy 4.5.1.
    - Package does not require root privs to build.
  * debian/upstream/metadata:
    - Set upstream metadata fields.
  * debian/watch:
    - Use uscan version 4.
  * Move comments under /usr/libexec/ninka.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 08 Jan 2021 10:33:43 +0100

ninka (1.3.2-3) unstable; urgency=medium

  * debian/control:
    - ninka must depend on libio-captureoutput-perl (Closes: #908496).
    - Compliant with Debian Policy 4.2.1.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 11 Sep 2018 12:43:25 +0200

ninka (1.3.2-2) unstable; urgency=medium

  * debian/compat:
    - Bump compat level to 11.
  * debian/control:
    - Build-depend on debhelper (>= 11).
    - Adjust Vcs browser to point to salsa.d.o.
    - Compliant with Debian Policy 4.1.4.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 30 Apr 2018 07:53:11 +0200

ninka (1.3.2-1) unstable; urgency=low

  * Initial release (Closes: #631415).

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 25 Aug 2017 15:37:45 +0200

=== debian/control ===
Source: ninka
Section: devel
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper-compat (= 13),
               libtest-pod-perl,
               libio-captureoutput-perl,
               libtest-strict-perl
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://ninka.turingmachine.org/
Vcs-Git: https://salsa.debian.org/debian/ninka.git
Vcs-Browser: https://salsa.debian.org/debian/ninka

Package: ninka
Architecture: any
Depends: ${perl:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libio-captureoutput-perl
Description: license identification tool for source code
 Ninka is a lightweight license identification tool for source code. It is
 sentence-based, and provides a simple way to identify open source licenses in
 a source code file. It is capable of identifying several dozen different
 licenses (and their variations).
 .
 Ninka has been designed to be lightweight, fast and accurate.
 .
 This package contains the standard ninka application.

Package: ninka-backend-excel
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends},
         ninka,
         libspreadsheet-writeexcel-perl
Description: license identification tool for source code (Excel backend)
 Ninka is a lightweight license identification tool for source code. It is
 sentence-based, and provides a simple way to identify open source licenses in
 a source code file. It is capable of identifying several dozen different
 licenses (and their variations).
 .
 Ninka has been designed to be lightweight, fast and accurate.
 .
 This package contains the ninka Excel backend.

Package: ninka-backend-sqlite
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends},
         ninka,
         libdbd-sqlite3-perl
Description: license identification tool for source code (SQLite backend)
 Ninka is a lightweight license identification tool for source code. It is
 sentence-based, and provides a simple way to identify open source licenses in
 a source code file. It is capable of identifying several dozen different
 licenses (and their variations).
 .
 Ninka has been designed to be lightweight, fast and accurate.
 .
 This package contains the ninka SQLite backend.

=== debian/watch ===
# Upstream does not keep up with versions on GitHub.
version=4
